
Redmine - Feature #10943

Query issues based on activity history

2012-05-16 14:34 - Stéphane Gourichon

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Feature description

When working with redmine, one sometimes needs to query for issues based on their history.

The example I need on a regular basis is to list issues that were updated during given time period (each involved issue would appear

once even if many updates).

Search before post

I have searched wiki, issues, found related material, e.g. #4077 #971. These are oriented towards "time spent" entries, which are

kind of activity entries. The closest thing I found is issue #10454 where the author expected the behavior described here on a search

on "updated" field.

What does feature involve technically ?

Technically, it would be additional query criteria in the issue query tab. To put the possibilities verbosely for clarity :

issue history has entry with date before/after/...

issue history has entry that changes issue regular field

issue history has entry that changes issue custom field

issue history has entry that changes "assigned" from "john" to "jane"

issue history has entry that add comment

issue history has entry that add comment containing "text"

issue history has entry that attaches file ...

Comparison with existing

Jira handles queries on updated field like redmine.

Jira allows some history-oriented queries that, to my knowledge, Redmine does not handle. Below are valid Jira advanced searches.

status WAS in ("Resolved","Closed") DURING ("2012-04-01","2012-05-31") order by assignee

assignee "CHANGED":http://confluence.atlassian.com/display/JIRA/Advanced+Searching#AdvancedSearchi

ng-CHANGED

status CHANGED FROM "In Progress" TO "Open" 

 

Summary

Request ability to query for issues that were updated during a certain time range, in usual query tool (with display by columns, sort,

group by, etc).

Related issues:

Related to Redmine - Feature #17720: Filter issues by "Updated by" and "Last ... Closed

History

#1 - 2014-06-20 12:11 - Anthony HERBÉ

It would be nice indeed.
https://www.redmine.org/issues/4077
https://www.redmine.org/issues/971
https://www.redmine.org/issues/10454
http://confluence.atlassian.com/display/JIRA/Advanced+Searching#AdvancedSearching-Updated


#2 - 2017-10-24 10:17 - Jonas De Meulenaere

+1

#3 - 2017-10-24 15:15 - Mischa The Evil

FWIW: Redmine 3.4.0 introduced 'Updated by' and 'Last updated by' query filters via #17720, which might have solved (some of) the use cases

described here.

#4 - 2017-10-29 05:08 - Go MAEDA

- Category changed from Issues to Issues filter

#5 - 2017-10-29 05:08 - Go MAEDA

- Related to Feature #17720: Filter issues by "Updated by" and "Last updated by" added
https://www.redmine.org/versions/119
https://www.redmine.org/issues/17720
http://www.tcpdf.org

